Bug 75204 - (NET 3C59X) 3Com 3c509C-TX-M does not work correctly.
Summary: (NET 3C59X) 3Com 3c509C-TX-M does not work correctly.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-05 13:47 UTC by Ivo Sarak
Modified: 2013-07-03 02:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ivo Sarak 2002-10-05 13:47:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
3Com 3c509C-TX-M will give heavy packet loss (over 50%).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RedHat 8.0 with 3Com 3C905C-TX-M;
2. Ping some LAN hosts


Actual Results:  Ping will report heavy packet loss (every time over 50%).

Expected Results:  No packet loss.

Additional info:

I changed the card to another 3Com 3C905C-TX-M and the results were the same,
but as soon I changed the card to 3Com 3C905B-TX-M, there were no packet loss at
all.

$ uname -a
Linux sarmax 2.4.18-14 #1 Wed Sep 4 12:13:11 EDT 2002 i686 athlon i386 GNU/Linux

Comment 1 Arjan van de Ven 2002-10-07 12:07:43 UTC
have you ever tried this with previous linux versions ?

Comment 2 Ivo Sarak 2002-10-07 18:41:06 UTC
I haven't ran Linux on this machine, but this type of card does run with earlier
versions of RedHat Linux.

Comment 3 Tomasz Kepczynski 2002-10-28 18:24:38 UTC
  I may have the same problem. I've spent last week trying to
find out the reason for very poor network performance and as the
last resort I grabbed today 3c90x-102.tar.gz from 3com and compiled.
Well, it worked for me like a breeze.
  I don't have heavy packet loses on ping (unless I start pinginig
with -f options and large packet sizes) but I do have very bad nfs
and ftp performance.
  I use RH 7.3 with the latest i686 kernel (kernel-2.4.18-17.7.x).

Comment 4 Ivo Sarak 2002-10-31 11:28:13 UTC
3C905CX-TX-M is working OK, too.

Comment 5 Bogdan Costescu 2002-11-24 14:04:34 UTC
Use 3Com's DOS-based tool to check media and duplex EEPROM settings of the card. They should 
both be set to "Auto" or "NWAY". Different cards even of the same type may behave differently 
because of these default settings.

Comment 6 Bugzilla owner 2004-09-30 15:40:00 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.